package com.webchat.domain.vo.request.publicaccount;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 文章创建更新
 */
@Data
public class SaveArticleRequestVO {

    @ApiModelProperty("文章id")
    private Long id;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("公众号")
    private String publicAccount;

    @ApiModelProperty("文章计划推送时间，13位时间戳，精确到秒")
    private Long planPushTime;

    @ApiModelProperty("文章标题")
    private String title;

    @ApiModelProperty("文章封面主图")
    private String cover;

    @ApiModelProperty("文章总结")
    private String description;

    @ApiModelProperty("文章正文")
    private String content;

    @ApiModelProperty("文章标签")
    private String signs;

    @ApiModelProperty("文章跳转链接（配置了该链接，默认跳转到链接指向地址，扩展公众号推送能力）")
    private String redirectUrl;

    /**
     * 文章状态
     *
     * @see com.webchat.common.enums.ArticleStatusEnum
     */
    @ApiModelProperty("文章状态")
    private Integer status;


    public void validaRequestParam() {

    }
}
