package com.webchat.domain.vo.response.publicaccount;

import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ArticleBaseResponseVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("公众号id")
    private String publicAccount;

    @ApiModelProperty("公众号文章详情")
    private UserBaseResponseInfoVO publicAccountInfo;

    @ApiModelProperty("文章计划推送时间，13位时间戳，精确到秒")
    private Long planPushTime;

    @ApiModelProperty("发布时间")
    private Long publishTime;

    @ApiModelProperty("文章标题")
    private String title;

    @ApiModelProperty("文章封面主图")
    private String cover;

    @ApiModelProperty("文章总结")
    private String description;

    @ApiModelProperty("文章正文")
    private String content;

    @ApiModelProperty("文章标签")
    private String signs;

    @ApiModelProperty("文章跳转链接")
    private String redirectUrl;

    /**
     * 文章状态
     *
     * @see com.webchat.common.enums.ArticleStatusEnum
     */
    @ApiModelProperty("文章推送状态 1-待推送\n 2-已推送")
    private Integer status;
}
